## SMBLDAP-TOOLS
## ======================================================================

encoding="UTF-8"

with_smbpasswd="1"
smbpasswd="/usr/bin/smbpasswd"

with_slappasswd="0"
slappasswd="/usr/sbin/slappasswd"

## LDAP
## ======================================================================

masterLDAP="##LDAP_MASTER_NAME##"
masterPort="##LDAP_MASTER_PORT##"
slaveLDAP="##LDAP_SLAVE_NAME##"
slavePort="##LDAP_SLAVE_PORT##"

## TLS
## ----------------------------------------------------------------------

ldapTLS="0"
verify="require"
cafile="##SSL_CERT_DIR##/ca.crt"
clientcert="##SMBLDAP_TOOLS_CERT_DIR##/smbldap-tools.pem"
clientkey="##SMBLDAP_TOOLS_PRIVATE_DIR##/smbldap-tools.key"

## UNIX
## ======================================================================

hash_encrypt="MD5"
crypt_salt_format="$1$%.8s"

userLoginShell="/bin/bash"
userHome="/home/%U"
userHomeDirectoryMode="700"
userGecos="User"

defaultUserGid="513"
defaultComputerGid="515"
skeletonDir="/etc/skel"

defaultMaxPasswordAge="45"

## SAMBA Configuration
## ======================================================================

SID="##SAMBA_DOMAIN_SID##"
sambaDomain="##SAMBA_DOMAIN_NBNAME##"

#userSmbHome="\\PDC\%U"
userSmbHome=""
#userProfile="\\PDC\profiles\%U"
userProfile=""
userHomeDrive="H:"
userScript="logon.bat"

## Misc
## ======================================================================

mailDomain="example.jp"

## DIT
## ======================================================================

scope="sub"

suffix="##LDAP_DIT_SUFFIX##"
usersdn="ou=##LDAP_DIT_USER_OU##,${suffix}"
computersdn="ou=##LDAP_DIT_MACHINE_OU##,${suffix}"
groupsdn="ou=##LDAP_DIT_GROUP_OU##,${suffix}"
idmapdn="ou=##LDAP_DIT_IDMAP_OU##,${suffix}"
sambaUnixIdPooldn="sambaDomainName=${sambaDomain},${suffix}"

